Subject: Re: bug#18134: 24.3; Doxygen comments trigger anomalous C++ major mode behavior
From: Alan Mackenzie <[email-masked]>
To: Stefan Kangas <[email-masked]>
Cc: [email-masked], Sam Varshavchik <[email-masked]>
Date: Sun, 20 Oct 2019 17:04:15 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello, Stefan and Sam.

On Sun, Oct 20, 2019 at 15:36:23 +0200, Stefan Kangas wrote:
> Hi Alan,

> Alan Mackenzie <[email-masked]> writes:

> > Yes.  Some optimisation is needed in c-crosses-statement-barrier-p for
> > large blocks of comments.  Please try out this patch, and let me know if
> > anything untoward happens:

> I've now tried the patch, and it fixes both the slow editing and the
> indentation.  I don't code much C++ these days, so I didn't test it
> much beyond that.

> Thanks for providing a fix.

Thanks for the quick test.  I've now committed the fix to master, and
I'm closing the bug with this post.

> Best regards,
> Stefan Kangas

-- 
Alan Mackenzie (Nuremberg, Germany).